<!DOCTYPE html>
<html lang="en">
<head>
    <title>XMLHTTPRequest Objetivo </title>
</head>
<body>
    <section id="container">
        Respuesta a petición:
    </section>

    <script type="text/javascript">
        var req = new XMLHttpRequest();
        req.open('GET', 'https://jsonplaceholder.typicode.com/post', false);
        req.send(null);
        if(req.status == 200){
            console.log('Respuesta correcta');
            display(req.responseText);
        }else{
            console.log('La peticion fallo');
        }

        function display(text){
            let element = document.getElementById('container');
            element.textContent = text;
        }
    </script>
</body>
</html>